local LSM = LibStub("LibSharedMedia-3.0")

if LSM == nil then return end

-- Fonts
LSM:Register("font","Merathilis Prototype", [[Interface\AddOns\ElvUI_MerathilisUI-Classic-Classic\media\fonts\PROTOTYPE.TTF]])
LSM:Register("font","Merathilis PrototypeRU", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\PROTOTYPE_RU.TTF]], LSM.LOCALE_BIT_ruRU + LSM.LOCALE_BIT_western)
LSM:Register("font","Merathilis Visitor1", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\visitor1.ttf]], LSM.LOCALE_BIT_ruRU + LSM.LOCALE_BIT_western)
LSM:Register("font","Merathilis Visitor2", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\visitor2.ttf]])
LSM:Register("font","Merathilis Tukui", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\uf_font.ttf]], LSM.LOCALE_BIT_ruRU + LSM.LOCALE_BIT_western)
LSM:Register("font","Merathilis ArialN", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\ARIALN.ttf]])
LSM:Register("font","Merathilis Default", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\default.ttf]])
LSM:Register("font","Merathilis Roboto-Black", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\Roboto-Black.ttf]])
LSM:Register("font","Merathilis Roboto-Bold", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\Roboto-Bold.ttf]])
LSM:Register("font","Merathilis Roboto-Medium", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\Roboto-Medium.ttf]])
LSM:Register("font","Merathilis Roboto-Regular", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\Roboto-Regular.ttf]])
LSM:Register("font","Merathilis GoodDogCool", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\gdcool.ttf]])
LSM:Register("font","Merathilis BadaBoom", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\BADABB__.ttf]])
LSM:Register("font","Merathilis Gothic-Bold", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\CenturyGothicBold.ttf]])
LSM:Register("font","Merathilis Gothom Narrow", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\GothamNarrowUltra.ttf]])
LSM:Register("font","Merathilis Expressway", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\fonts\ExpresswayExtraBold.ttf]])

-- Backgrounds
LSM:Register("background","Merathilis BrushedMetal", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\background\brushedmetal.tga]])
LSM:Register("background","Merathilis Smoke", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\background\smoke.tga]])

-- Border
LSM:Register("border","MerathilisGlow", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\border\glowTex.tga]])

-- Statusbars
LSM:Register("statusbar","MerathilisBlank", [[Interface\BUTTONS\WHITE8X8.blp]])
LSM:Register("statusbar","MerathilisUI1", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\mUI2.tga]])
LSM:Register("statusbar","MerathilisUI2", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\mUI3.tga]])
LSM:Register("statusbar","MerathilisFlat", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Flat.tga]])
LSM:Register("statusbar","MerathilisOnePixel", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\OnePixel.tga]])
LSM:Register("statusbar","MerathilisMelli", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Melli.tga]])
LSM:Register("statusbar","MerathilisMelliDark", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\MelliDark.tga]])
LSM:Register("statusbar","MerathilisEmpty", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Empty.tga]])
LSM:Register("statusbar","MerathilisnormTex", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\normTex.tga]])
LSM:Register("statusbar","MerathilisDefault", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\default.tga]])
LSM:Register("statusbar","MerathilisLight", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Light.tga]])
LSM:Register("statusbar","MerathilisFeint", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\MerathilisFeint.tga]])
LSM:Register("statusbar","MerathilisBorder", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Border.tga]])
LSM:Register("statusbar","MerathilisGradient", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\gradient.tga]])
LSM:Register("statusbar","MerathilisGloss", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Gloss.tga]])
LSM:Register("statusbar","Lyn1", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\lyn1.tga]])
LSM:Register("statusbar","Skullflower", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Skullflower.tga]])
LSM:Register("statusbar","SkullflowerLight", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\SkullflowerLight.tga]])
LSM:Register("statusbar","Duffed", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\textures\Duffed.tga]])

-- Sounds
LSM:Register("sound","warning", [[Interface\AddOns\ElvUI_MerathilisUI-Classic\media\sounds\warning.ogg]])
